Moonborn — API · config
Get the resolved value for a single config item
GET/v1/config/{key}scope · Bearer (API key or session JWT)
Path parameters
| Field | Type | Description |
|---|---|---|
| keyreq | string |
Query parameters
| Field | Type | Description |
|---|---|---|
| scope_level | string | |
| scope_id | string |
Responses
200Config decision
Body
| Field | Type | Description |
|---|---|---|
| keyreq | string | |
| valuereq | object | |
| sourcereq | string · "system" | "env" | "plan" | "org" | "workspace" | "user" | "api_key" | "request" | |
| lockedOverridereq | boolean | |
| expiresAtreq | string |
401Unauthenticated
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
404Config item not found
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
Examples
cURL
curl -X GET https://api.moonborn.co/v1/config/<key> \ -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.config.getConfigItem({
key: '<key>',
});Python
import os
from moonborn import Moonborn
client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])
result = client.config.get_config_item(
key="<key>",
)